<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\TypeAwareInterface;
use Sylius\Component\Core\Model\ChannelPricingInterface;
use Sylius\Component\Customer\Model\CustomerGroupInterface;

interface CustomerGroupChannelPricingInterface extends ChannelPricingInterface, TypeAwareInterface
{
    public function getCustomerGroup(): ?CustomerGroupInterface;

    public function setCustomerGroup(?CustomerGroupInterface $customerGroup = null): self;
}
