<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\CustomerGroup;

use Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType;
use Sylius\Component\Customer\Model\CustomerGroupInterface;

trait CustomerGroupChannelPricingTrait
{
    public function getCustomerGroup(): ?CustomerGroupInterface
    {
        return $this->customerGroup;
    }

    public function setCustomerGroup(?CustomerGroupInterface $customerGroup = null): self
    {
        $this->customerGroup = $customerGroup;

        return $this;
    }

    public static function getType(): string
    {
        return ChannelPricingType::CUSTOMER_GROUP->value;
    }
}
