<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Form\Type\Admin;

use Sylius\Bundle\CustomerBundle\Form\Type\CustomerGroupChoiceType;
use Sylius\Bundle\ResourceBundle\Form\Type\AbstractResourceType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class CustomerGroupChannelPricingType extends AbstractResourceType
{
    public function __construct(
        string $dataClass,
        array $validationGroups = [],
    ) {
        parent::__construct($dataClass, $validationGroups);
    }

    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('customerGroup', CustomerGroupChoiceType::class);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
    }

    public function getParent(): string
    {
        return ChannelPricingType::class;
    }
}
