<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Loader;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\ChannelPricingSubjectInterface;
use Doctrine\Common\Collections\Collection;

interface ChannelPricingLoaderInterface
{
    public function load(ChannelPricingSubjectInterface $object): Collection;

    public function supports(ChannelPricingSubjectInterface $object): bool;
}
