<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Repository;

use Doctrine\ORM\QueryBuilder;

interface CustomerRepositoryInterface
{
    public function createListQueryBuilder(): QueryBuilder;

    public function createByOrganizationIdQueryBuilder(mixed $organizationId): QueryBuilder;
}
